<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Pembelajaran extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'judul',
        'deskripsi',
        'video',
        'audio',
        'bacaan'
    ];
    public function users()
    {
        return $this->belongsToMany(User::class, 'pembelajaran_user', 'pembelajaran_id', 'user_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}